org.appng.xml.platform

## Class Label

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Label

- All Implemented Interfaces:
    Serializable

      public class Label
      extends BaseObject
      implements Serializable

  An internationalized text retrieved from the applications dictionary.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected String` | `params`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Label()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The id of the `Label`, used as a key to retrieve the content from the applications dictionary.
    `String` | `getParams()` A `Label` can be parameterized, using a String (e.g.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setParams(String value)` Sets the value of the params property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### id

          protected String id

    - #### params

          protected String params

  - ### Constructor Detail

    - #### Label

          public Label()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      The id of the `Label`, used as a key to retrieve the content from the applications dictionary.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getParams

          public String getParams()

      A `Label` can be parameterized, using a String (e.g. 'foo') or parameters (${field} or #{field}). Multiple parameters must be be separated by a comma, e.g. "'foo',${field},#{field}".
      Returns:
        possible object is `String`

    - #### setParams

          public void setParams(String value)

      Sets the value of the params property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.